Gecode::Gist::Branch Class Reference

Representation of a branch in the search tree. More...

## Public Member Functions

| Branch (int a, const Choice *c, SpaceNode *best=NULL)
| Constructor.

## Public Attributes

int | alternative
| Alternative number.
SpaceNode * | ownBest
| The best space known when the branch was created.
const Choice * | choice

## Detailed Description

Representation of a branch in the search tree.

Definition at line 46 of file spacenode.cpp.

## Constructor & Destructor Documentation

## Branch()

Gecode::Gist::Branch::Branch | ( | int | a,
|  | const Choice * | c,
|  | SpaceNode * | best = NULL )

inline

Constructor.

Definition at line 55 of file spacenode.cpp.

## Member Data Documentation

## alternative

int Gecode::Gist::Branch::alternative

Alternative number.

Definition at line 49 of file spacenode.cpp.

## ownBest

SpaceNode* Gecode::Gist::Branch::ownBest

The best space known when the branch was created.

Definition at line 51 of file spacenode.cpp.

## choice

const Choice* Gecode::Gist::Branch::choice

Definition at line 52 of file spacenode.cpp.

The documentation for this class was generated from the following file:

- gecode/gist/spacenode.cpp